> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all cosigners

> Get all workspace cosigners (paginated).
**Note:** These endpoints are currently in beta and might be subject to changes.
Endpoint Permission: Admin and Non-Signing Admin.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /cosigners
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /cosigners:
    get:
      tags:
        - Cosigners (Beta)
      summary: Get all cosigners
      description: >-
        Get all workspace cosigners (paginated).

        **Note:** These endpoints are currently in beta and might be subject to
        changes.

        Endpoint Permission: Admin and Non-Signing Admin.
      operationId: getCosigners
      parameters:
        - name: order
          required: false
          in: query
          description: ASC / DESC ordering (default DESC)
          example: ASC
          schema:
            type: string
            enum:
              - ASC
              - DESC
            default: DESC
        - in: query
          name: pageCursor
          required: false
          description: Cursor of the required page
          schema:
            type: string
        - name: pageSize
          required: false
          in: query
          description: Maximum number of items in the page
          example: 10
          schema:
            minimum: 1
            maximum: 100
            default: 10
            type: number
      responses:
        '200':
          description: A paginated response containing Cosigner objects
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CosignersPaginatedResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<CosignersPaginatedResponse>> =
            fireblocks.cosignersBeta.getCosigners(cosignersBetaApiGetCosignersRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<CosignersPaginatedResponse>> response
            = fireblocks.cosignersBeta().getCosigners(order, pageCursor,
            pageSize);
        - lang: Python
          source: >-
            response = fireblocks.cosigners_beta.get_cosigners(order,
            page_cursor, page_size);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    CosignersPaginatedResponse:
      type: object
      properties:
        data:
          type: array
          description: The data of the current page
          items:
            $ref: '#/components/schemas/Cosigner'
        next:
          type: string
          description: The ID of the next page
          example: eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9
          nullable: true
      required:
        - data
    Cosigner:
      type: object
      properties:
        archived:
          type: boolean
          description: Whether the cosigner is archived
          example: false
        id:
          type: string
          description: The unique identifier of the cosigner
          example: 44fcead0-7053-4831-a53a-df7fb90d440f
          format: uuid
        name:
          type: string
          description: The name of the cosigner
          example: My Cosigner 1
        type:
          enum:
            - SANDBOX
            - SGX
            - GCP-CONFSPACE
            - AWS-NITRO
            - PLAIN
          type: string
          description: The type of the cosigner
          example: SGX
        version:
          $ref: '#/components/schemas/VersionSummary'
      required:
        - archived
        - id
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
    VersionSummary:
      type: object
      properties:
        hash:
          type: string
          description: The version hash of the cosigner
          example: a1b2c3d4e5
        name:
          type: string
          description: The name of the version
          example: 1.0.0 (December 2025)
      required:
        - hash
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````